Kodi Community Forum

Full Version: Amber now updated to support Kodi 14.0\Helix
You're currently viewing a stripped down version of our content. View the full version with proper formatting.
Pages: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34
Jester,

I kinda cheated and replaced your 1.74 over the older version I had and it rebooted and it worked... But It did say I was on a Helix Version dated december 24th...

Thank you for your help!
Hello Again,

I have installed the very first Amber skin verion that was available and was working OK, then my remote control (PC remote) stopped working but changing the USB port it would work again, it is now few hours that it just refuses to work at all regardless of what I do, reboot, change USB, etc. connected my cordless mouse and works fine, I have uninstalled the skin, changed to Confluence, the same no remote, downloaded the 1.7.4, installed very well but I am still back to square one, any idea at all what is happening?

Cheers

AND HAVE A VERY HAPPY NEW YEAR.

Siamak
(2014-12-30, 11:51)Jester Wrote: [ -> ]EDIT: maybe it helps, i've put the github with 1.7.4 here https://github.com/jester-xbmc/skin.amber

As far as I can see my 1.7.4 has all the fixes of all the current forks out there, so let me know if somebody finds something broken, until that time, I suggest we use 1.7.4 as the baseline version for helix.

Hi Jester,

Thanks for taking the time to merge all of these and fix my messing-about-code that I forgot to take out. I have now updated the first post to point to your fork on github. I hope that's ok. I have been busy working on my own skin so haven't had time to work on this so thanks again to all those who have helped get this moving.

Joethepartylion
At last...

Thanks

One problem on rasp Pi (Raspmc ou openelec): no tiles on the Films folder
Which one? Cause I've openelec in my pi and I don't see any problem with titles. Maybe a picture may help understand.
I'm obviously doing something dumb here - downloaded the zip file from Jester's Github page and tried to install via "install from zip file" and it's telling me that dependencies are not met (I'm currently running Amber 1.7.0, although the skins download page currently has Amber labelled as "incompatible" - I think I installed it last time via a zip file). If I go into it, that one is saying it's version 1.6.0 and is "incompatible or has been marked broken in repository: Dependencies not met"

Is there a repo that we should be installing, or some other method to get this to work? I'm on OpenElec Helix 5.0.0 stable on a Pi B+.
(2015-01-02, 22:49)DarrenHill Wrote: [ -> ]I'm obviously doing something dumb here - downloaded the zip file from Jester's Github page and tried to install via "install from zip file" and it's telling me that dependencies are not met (I'm currently running Amber 1.7.0, although the skins download page currently has Amber labelled as "incompatible" - I think I installed it last time via a zip file). If I go into it, that one is saying it's version 1.6.0 and is "incompatible or has been marked broken in repository: Dependencies not met"

Is there a repo that we should be installing, or some other method to get this to work? I'm on OpenElec Helix 5.0.0 stable on a Pi B+.
Its not you, its the github page. If you go to the github page and download through the icon labeled download, you get a file made for xbmc 13. Take another look at the post that lead you to that page. At the bottom is the correct link, and apparently its also in the first post now. (I'd just give you the link if I wasn't on my phone)

Thanks for getting this fixed up guys!

@Joe, care to share any of the details of what you're working on?
Hey Guys,

I get "Dependencies not met" message when I install 1.7.4 from Jester's Git but no issues when I install 1.7.3 from Joe's Git.

Anyone else get this?

Cheers Rob.
(2015-01-03, 04:22)halfluck Wrote: [ -> ]Hey Guys,

I get "Dependencies not met" message when I install 1.7.4 from Jester's Git but no issues when I install 1.7.3 from Joe's Git.

Anyone else get this?

Cheers Rob.

Yup, I am getting the same issue. Running Kodi Helix Stable.
Also, when I try to install the one from Joe's Git, I get a message that says the Add On does not have the correct structure.
(2015-01-03, 00:49)Calum Wrote: [ -> ]Its not you, its the github page. If you go to the github page and download through the icon labeled download, you get a file made for xbmc 13. Take another look at the post that lead you to that page. At the bottom is the correct link, and apparently its also in the first post now. (I'd just give you the link if I wasn't on my phone)

Thanks for getting this fixed up guys!

@Joe, care to share any of the details of what you're working on?

It's the link from the first post of this thread, which according to the git page it goes to is 1.7.4 for kodi 14.0 (ie Helix). There are no other links, and judging by the posts just above this one it looks like maybe something's screwed up somewhere.

To be honest it would be much better if things were clearer as to who is actually supporting this skin (Pecinko, Joe or Jester) and if the official Helix repo version pointed to was updated to be the Helix compliant version (1.7.4) rather than Pecinko's old 1.6.0 version which is the Gotham one and now no use to anyone on Helix.It's a great skin for the Pi which people could be put off by how complex it seems to be to keep it up to date currently...
If you have dependency errors like i had use the 1.7.4 link in the quoted text. Seems to be working without issue (used for 5 mins)

(2014-12-29, 23:20)Jester Wrote: [ -> ]and while i was at it, did some more clean-ups and small changes

Changelog so far:

1.7.3
Fixed homeshelf by reverting some changes of 1.7.2.

1.7.4
Remove onunload from VideoFullScreen.xml to fix PseudoTV Live issue.


download here:
1.7.4


Pecinko, can you do a pull request on the repo e-mail list with this update for Kodi/Helix so people have a working amber when they upgrade to Kodi/helix ?
Thanks
(2014-12-30, 11:51)Jester Wrote: [ -> ]
(2014-12-30, 10:56)t.kay Wrote: [ -> ]This is getting a messy tree of (not-so)joined efforts, isn't it?

I'm using menakite's version from https://github.com/anaconda/skin.amber/tree/helix-fixes - It mostly works fine, unfortunately no direct pull request has been made to pecinko's repo.

Is there a git repo for Jester's version, so one can compare who fixed what, where and based on whom's version?

I agree, thats why I asked for an official repo update, so at least there is a working version while we work to maybe find more bugs and fix them.

my version is basically joethepartylion version 1.7.2 but with 2 file changes reverted so the shelf works and I made 1.7.4 to fix the other issue.

I hope pecinko has time to merge all changes and release an official version soon.

I didn't use github just so I can provide a working version with most bug fixes here directly until pecinko finds time.

EDIT: maybe it helps, i've put the github with 1.7.4 here https://github.com/jester-xbmc/skin.amber

As far as I can see my 1.7.4 has all the fixes of all the current forks out there, so let me know if somebody finds something broken, until that time, I suggest we use 1.7.4 as the baseline version for helix.


Download here:
1.7.4

Do you guys see where Jester wrote download here? If you want to download Jesters versions of 1.7.4, which from the conversation seemed to be the one that wrapped up all of the latest fixes, that's where you should download it from. If you go to the github page linked earlier in that same post you get an old version. The one at the bottom of Jesters post works just fine. I've got it on my PC, fire stick, and phone.
@Calum - thanks, that's cleared it up.

The confusion (for me) was when you said "Take another look at the post that lead you to that page. At the bottom is the correct link, and apparently its also in the first post now." - the post that lead me to the page was the first post of the thread, which points to Jester's Git page which as you say still seems to have the wrong version downloading in the zip file. Joe had quoted Jester's post too, but had unfortunately cut off the good link at the bottom, just leaving the Git link to the wrong version.

Your posted link from Jester's post in the previous page of this thread is as you say the one we want, and is now installed fine for me. So all is good, and 1.7.4 is now installed and happy.
:thumbsup:
Pages: 1 2 3 4 5 6 7 8 9 10 11 12 13 14 15 16 17 18 19 20 21 22 23 24 25 26 27 28 29 30 31 32 33 34